summaryrefslogtreecommitdiff
path: root/2.2/init
diff options
context:
space:
mode:
authorBenedikt Boehm <hollow@gentoo.org>2007-11-25 19:59:06 +0000
committerBenedikt Boehm <hollow@gentoo.org>2007-11-25 19:59:06 +0000
commitfb187ba4df836c1331db5eefbfe7513d525b4f70 (patch)
tree625d1504a8c1b4d93ff24503b5f6eef800579f06 /2.2/init
parentremove obsolete apache2-builtin-mods (diff)
downloadapache-fb187ba4df836c1331db5eefbfe7513d525b4f70.tar.gz
apache-fb187ba4df836c1331db5eefbfe7513d525b4f70.tar.bz2
apache-fb187ba4df836c1331db5eefbfe7513d525b4f70.zip
do not reload when stopped
Diffstat (limited to '2.2/init')
-rwxr-xr-x2.2/init/apache2.initd5
1 files changed, 4 insertions, 1 deletions
diff --git a/2.2/init/apache2.initd b/2.2/init/apache2.initd
index 4d81997..bda6bc1 100755
--- a/2.2/init/apache2.initd
+++ b/2.2/init/apache2.initd
@@ -70,6 +70,8 @@ reload() {
RELOAD_TYPE="${RELOAD_TYPE:-graceful}"
checkconfig || return 1
+ service_started "${myservice}" || return
+
if [ "${RELOAD_TYPE}" = "restart" ]; then
ebegin "Restarting apache2"
${APACHE2} ${APACHE2_OPTS} -k restart
@@ -85,6 +87,7 @@ reload() {
graceful() {
checkconfig || return 1
+ service_started "${myservice}" || return
ebegin "Gracefully restarting apache2"
${APACHE2} ${APACHE2_OPTS} -k graceful
eend $?
@@ -92,7 +95,7 @@ graceful() {
gracefulstop() {
checkconfig || return 1
-
+
# zap!
if service_started "${myservice}"; then
mark_service_stopped "${myservice}"